Bug 243422 - Democracy x86_64 package pulls in firefox.i386: should use firefox.x86_64 ?
Democracy x86_64 package pulls in firefox.i386: should use firefox.x86_64 ?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Democracy (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 12:58 EDT by Allan Engelhardt
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0:0.9.5.1-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-19 13:59:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allan Engelhardt 2007-06-08 12:58:12 EDT
Description of problem:

I have a Fedora 7 x86_64 install with no .i[3-6]86 packages installed.  When I
try to install Democracy.x86_64 it pulls in firefox.i386 and with that maybe a
hundred other .i[3-6]86 packages.  The message in 'yum install' is

--> Processing Dependency: firefox = 2.0.0.3 for package: Democracy

and the package I try to install is

Democracy.x86_64 version 0.9.5.1-8.fc7 


Version-Release number of selected component (if applicable):

(above)

How reproducible:

Every time.

Steps to Reproduce:
1. Do 'yum install Democracy.x86_64' on a 64 bit clean f7 install
2.
3.
  
Actual results:

yum pulls in tons of .i[3-6]86 packages, the first being firefox.

Expected results:

Only installing x86_64 dependencies.  AFAIK, there is no functional difference
between firefox.i386 and firefox.x86_64, except for some plugin issues, and
therefore no reason for this behaviour?

Additional info:
Comment 1 Allan Engelhardt 2007-06-09 04:37:19 EDT
The output from attempting an install

# yum install Democracy
Loading "fastestmirror" plugin
Loading "kernel-module" plugin
Loading "installonlyn" plugin
Loading mirror speeds from cached hostfile
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package Democracy.x86_64 0:0.9.5.1-8.fc7 set to be updated
--> Processing Dependency: firefox = 2.0.0.3 for package: Democracy
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package firefox.i386 0:2.0.0.3-4.fc7 set to be updated

[ ... lots of firefox dependencies deleted ...]

Transaction Summary
=============================================================================
Install     76 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 57 M
Is this ok [y/N]: n
Comment 2 Allan Engelhardt 2007-06-19 13:59:08 EDT
Democracy.x86_64 0:0.9.5.1-10.fc7 now install cleanly (against firefox.x86_64
2.0.0.4-2.fc7).  Thanks.

Note You need to log in before you can comment on or make changes to this bug.